## Automatic Selection

This section describes how to use the automatic selection feature in the hdsemg-select application to quickly identify and identify bad channels based on their signal characteristics.

### Purpose of Automatic Selection

The automatic selection feature is designed to help users quickly identify channels that may be faulty and might disort further Analysis Steps. This is particularly useful in HDsEMG data, where manual inspection of each channel can be time-consuming and impractical.#

### How to Use Automatic Selection

Right now, there is only one automatic selection method available, which is based on the amplitude of the signal. This method allows you to select channels that exceed a certain amplitude threshold, indicating potential issues with the signal quality.

#### Frequency-Based Selection

| Step | Description                                                                                                                                                                                                                                                                                                                                 | Image                                                                                    |
|------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------|
| 1    | Open the **"Automatic Selection"** menu from the top navigation bar.                                                                                                                                                                                                                                                                        | ![Automatic Selection Menu](../img/automatic_selection/automatic_selec_menu.png)         |
| 2    | Choose **"Amplitude Based Selection"** from the dropdown menu.                                                                                                                                                                                                                                                                              |                                                                                          |
| 3    | In the submenu, you’ll find two options: <br> - **Start**: Begins the selection process (only enabled if thresholds are set). <br> - **Settings**: Opens the configuration dialog for amplitude thresholds.                                                                                                                                 |                                                                                          |
| 4    | In the settings dialog, configure: <br> - **Low Threshold**: Minimum amplitude a channel must exceed. <br> - **High Threshold**: Maximum allowed amplitude. <br><br> **Note:** Enable the "Automatically compute thresholds" checkbox to auto-set thresholds at 75% of the mean minimum/maximum amplitudes across all channels in the grid. | ![Automatic Selection Settings](../img/automatic_selection/fq_settings.png)              |
| 5    | Click **"Start"** to begin analyzing channels based on your thresholds.                                                                                                                                                                                                                                                                     |                                                                                          |
| 6    | The application will scan all channels and automatically select those that meet the defined amplitude range.                                                                                                                                                                                                                                |                                                                                          |
| 7    | Once completed, a dialog will summarize the results, showing how many channels were selected.                                                                                                                                                                                                                                               | ![Automatic Selection Dialog](../img/automatic_selection/automatic_selection_dialog.png) |
