## Signal Details

For each Channel, you can view detailed information about the signal, including:

- **Time-Domain Signal**: A plot of the raw signal over time.
- **Frequency Spectrum**: A plot showing the frequency content of the signal.

The functionality is accessible via the **"View Time Series"** and **"View Frequency Spectrum"** buttons below each channel widget in the dashboard view.

![Channel Widget Button](../img/channel_details/channel_widget_button.png)

### Viewing Time-Domain Signal

The time-domain signal plot displays the raw signal data for the selected channel. If the reference signal is enabled in the dashboard, it will be shown in the plot as well.
The plot is interactive, allowing you to zoom in and out, pan across the signal, and hover over points to see exact values.

![Time-Domain Signal Plot](../img/channel_details/time.png)

### Viewing Frequency Spectrum

The frequency spectrum plot shows the frequency content of the signal, which can help identify noise or artifacts. The x-axis represents frequency (in Hz), while the y-axis shows the amplitude of each frequency component.
The plot is also interactive, allowing you to zoom in on specific frequency ranges and hover over points to see exact values.

![Frequency Spectrum Plot](../img/channel_details/frequency.png)